package com.ruoyi.platform.service;

import com.ruoyi.platform.vo.GitProjectVo;

import java.util.Map;

public interface GitService {
    //登录方法，返回token
    String login(String username, String password);

    //输入token，项目名，tag，创建新项目,返回项目地址
    Map createProject(String token, GitProjectVo gitProjectVo) throws Exception;

    void createBranch(String token,String owner, String projectName, String branchName, String oldBranchName) throws Exception;

    void createTopic(String token, Integer id, String topicName) throws Exception;
}
